#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
%bcond_without	krb		# don't build krb support
#
Summary:	An HTTP and WebDAV client library
Summary(pl):	Biblioteka kliencka HTTP i WebDAV
Name:		neon
Version:	0.26.3
Release:	3
License:	GPL
Group:		Libraries
Source0:	http://www.webdav.org/neon/%{name}-%{version}.tar.gz
# Source0-md5:	6e52cd9c03e372026d6eccbfb80f09ef
URL:		http://www.webdav.org/neon/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
%{?with_krb:BuildRequires:	heimdal-devel >= 0.7}
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	rpmbuild(macros) >= 1.583
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# sym: SSL_SESSION_cmp
%define		skip_post_check_so	libneon.so.26.0.*

%description
neon is an HTTP and WebDAV client library, with a C interface.
Featuring:
 - High-level interface to HTTP and WebDAV methods (PUT, GET, HEAD etc).
 - Low-level interface to HTTP request handling, to allow implementing
   new methods easily.
 - HTTP/1.1 and HTTP/1.0 persistent connections.
 - RFC2617 basic and digest authentication (including auth-int,
   md5-sess).
 - Proxy support (including basic/digest authentication).
 - Generic WebDAV 207 XML response handling mechanism.
 - XML parsing using the expat or libxml parsers.
 - Easy generation of error messages from 207 error responses.
 - WebDAV resource manipulation: MOVE, COPY, DELETE, MKCOL.
 - WebDAV metadata support: set and remove properties, query any set of
   properties (PROPPATCH/PROPFIND).

%description -l pl
neon to biblioteka kliencka HTTP i WebDAV z interfejsem w C.
Moliwoci:
 - wysokopoziomowy interfejs do metod HTTP i WebDAV (PUT, GET, HEAD...),
 - niskopziomowy interfejs to obsugi da HTTP pozwalajcy atwo
   implementowa nowe metody,
 - stae poczenia HTTP/1.1 i HTTP/1.0,
 - autentykacja podstawowa i skrtem RFC-2617 (auth-int, md5-sess...),
 - obsuga proxy (w tym autentykacja podstawowa i skrtem),
 - mechanizm obsugi odpowiedzi WebDAV 207 XML,
 - analiza skadniowa XML przy pomocy expat lub libxml,
 - proste generowanie komunikatw bdw dla odpowiedzi 207,
 - manipulowanie zasobami WebDAV: MOVE, COPY, DELETE, MKCOL,
 - obsuga metadanych WebDAV: ustawianie i usuwanie atrybutw,
   sprawdzanie dowolnego zbioru atrybutw (PROPPATCH/PROPFIND).

%package devel
Summary:	Header files for neon
Summary(pl):	Pliki nagwkowe neon
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_krb:Requires:	heimdal-devel >= 0.6-5}
Requires:	libxml2-devel
Requires:	openssl-devel >= 0.9.7c

%description devel
C header files for the neon library.

%description devel -l pl
Pliki nagwkowe dla biblioteki neon.

%package static
Summary:	Static libraries for neon
Summary(pl):	Biblioteki statyczne neon
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static neon libraries.

%description static -l pl
Statyczne biblioteki neon.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%configure \
	--with-ssl \
	--enable-shared \
	%{!?with_static_libs:--enable-static=no} \
	%{!?with_krb:--without-gssapi} \
	--with-libxml2

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_prefix},%{_mandir}/man1,%{_mandir}/man3}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
mv -f doc/man/*.3 $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO doc/*.txt doc/html/*
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/neon-config
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/neon
%{_mandir}/man*/*
%{_pkgconfigdir}/neon.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/*.a
%endif
%changelog
* Fri Sep 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/neon.git;a=log;h=AC-branch

* Fri Sep 04 2015 Elan Ruusamäe <glen@delfi.ee> e42cdb2
- openssl rebuild
- release 3 (by relup.sh)

* Thu Jan 29 2015 Elan Ruusamäe <glen@delfi.ee> 9f87f00
- skip check .so

* Wed Feb 21 2007 hawk <hawk@pld-linux.org> 037640a
- updated to 0.26.3

* Fri Nov 03 2006 zbyniu <zbyniu@pld-linux.org> 7a80da6
- bcond krb (merge from HEAD)

* Sat Jan 21 2006 cvs2git <feedback@pld-linux.org> c75f74a
- This commit was manufactured by cvs2git to create branch 'AC-branch'.

* Sat Jan 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> f4a1102
- up to 0.25.5

* Fri Oct 21 2005 speedo <speedo@pld-linux.org> 24da02e
- updated to 0.25.4

* Mon Aug 22 2005 Sławomir Paszkiewicz <paszczus@pld-linux.org> 9750d54
- updated to 0.25.3

* Wed Jul 06 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 47ddbb5
- br heimdal >= 0.7

* Fri Jun 17 2005 twittner <twittner@pld-linux.org> d69a929
- added bcond_without static_libs

* Mon Mar 21 2005 Mariusz Mazur <mmazur@pld-linux.org> d793b83
- rel 4 for th

* Sun Nov 21 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> cbfefa7
- rel 3; revert, better, non-invasive method used now in rpm

* Sun Nov 21 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 281f236
- jbj changes to neon

* Sun Nov 21 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> ff530af
- new

* Mon Jul 05 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ac1e37
- updated to 0.24.7

* Wed May 19 2004 Jakub Bogusz <qboosh@pld-linux.org> 2be162f
- updated to 0.24.6 (fixes CAN-2004-0398 - heap overflow in date parsing)

* Fri Apr 16 2004 Jakub Bogusz <qboosh@pld-linux.org> 72e4ced
- security update to 0.24.5
  (CAN-2004-0179: format string vulnerabilities in XML/207 response handling)
- strict internal deps, release 2 for Ac

* Fri Mar 19 2004 ankry <ankry@pld-linux.org> fbe113e
- massive change: BR openssl-devel >= 0.9.7d

* Mon Feb 23 2004 ankry <ankry@pld-linux.org> b9b2c7f
- pl fixes, cosmetics

* Sat Oct 25 2003 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a3bef8
- updated to 0.24.4

